﻿using System;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 벽 폼
    /// </summary>
    public partial class WallForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 부모 종료 버튼 - ParentFinishButton

        /// <summary>
        /// 부모 종료 버튼
        /// </summary>
        public Button ParentFinishButton { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - WallForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public WallForm()
        {
            InitializeComponent();

            SetStyle(ControlStyles.DoubleBuffer        , true);
            SetStyle(ControlStyles.AllPaintingInWmPaint, true);
            SetStyle(ControlStyles.UserPaint           , true);

            this.returnButton.Click += returnButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 돌아가기 버튼 클릭시 처리하기 - returnButton_Click(sender, e)

        /// <summary>
        /// 돌아가기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void returnButton_Click(object sender, EventArgs e)
        {
            ParentFinishButton.PerformClick();
        }

        #endregion
    }
}